# std::unordered_multimap::begin, std::unordered_multimap::cbegin

From cppreference.com
< cpp‎ | container‎ | unordered multimap

iterator begin(); |  | (since C++11)
const_iterator begin() const; |  | (since C++11)
const_iterator cbegin() const; |  | (since C++11)

Returns an iterator to the first element of the container.

If the container is empty, the returned iterator will be equal to end().

### Parameters

(none)

### Return value

Iterator to the first element

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant

### Example

| This section is incomplete Reason: no example

### See also

end cend | returns an iterator to the end (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_multimap/begin&oldid=50710"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template